#!perl -w

use strict;
use warnings;

use YAML;
use Template;

# Get spell data 
my $spell_data = YAML::LoadFile('BFMage-1-Magic_Missile.yaml');

# Set up template
my $config = { PRE_CHOMP => 1 };
my $tmpl_o = Template->new($config);

# Read template input
my $input_template = 'spell_txt.tmpl';

# Process
$tmpl_o->process($input_template, $spell_data, "spell.txt") or die;


